package impl;

import interfaces.Capteur;
import java.util.concurrent.Callable;

public class GetValueReq implements Callable<Integer> {
    private Capteur capteur;

    public GetValueReq(Capteur capteur) {
        this.capteur = capteur;
    }

    //AO2 - concrete MI
    @Override
    public Integer call() {
        return capteur.getValueDiffusion();
    }
}